Package Details: magicpoint 1.13a-3

Git Clone URL: (read-only)
Package Base: magicpoint
Description: X11 based presentation tool
Upstream URL:
Licenses: custom
Submitter: Allan
Maintainer: deepsoul
Last Packager: deepsoul
Votes: 11
Popularity: 0.000000
First Submitted: 2008-12-28 12:27
Last Updated: 2015-06-08 22:13

Latest Comments

haawda commented on 2013-11-22 18:58

Please go ahead, orphaning.

deepsoul commented on 2013-11-21 20:29

Magicpoint only compiles for me when I add -lfontconfig to the linker command line:

--- magicpoint-1.13a/ 2007-12-03 10:08:40.000000000 +0100
+++ ../ 2013-11-20 10:54:55.024943586 +0100
@@ -23,7 +23,7 @@

-SYS_LIBRARIES= -L$(srcdir)/image -lmgpimage @LIBS@
+SYS_LIBRARIES= -L$(srcdir)/image -lmgpimage -lfontconfig @LIBS@

#undef DefaultCDebugFlags

Presumably fontconfig should then also be a dependency.

With default settings (GS device = "pnmraw+"), magicpoint also needs netpbm when embedding figures (for pnmscale and pnmdepth). Could you make this an optional dependency?

And one last request: Could you install the SYNTAX file to /usr/share/doc? This is the only documentation for the source file syntax without which magicpoint cannot be used.

Thank you!

PS: If this seems a bit much or if you want to concentrate on the more popular of the many packages you maintain, I am OK with adopting this package if you prefer.

haawda commented on 2010-09-25 04:56

No, they belong to the base-devel group.

speps commented on 2010-09-25 00:30


Hi, seems like bison and flex are required to build magicpoint.
They should be added as makedepends.

C ya